#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t,n,k;

    cin>>t;
    cin>>n>>k;

    int a[300000];

    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }

    /*sort(a,a+n);

    int mini=0, maxi=0;

    int cur=0;

    for(int i=n-1; i>=0; i--)
    {
        if(a[i]>=mini)
        {
            mini++;
        }
        else
        {
            mini--;
        }
    }

    for(int i=0; i<n; i++)
    {
        if(a[i]>=maxi)
        {
            maxi++;
        }
        else
        {
            maxi--;
        }
    }*/

    /*if(k>=mini && k<=maxi)
    {
        cout<<"DA\n";
    }
    else
    {
        cout<<"NE\n";
    }*/
    
    cout<<"DA\n";


    return 0;
}